> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch schemas for an unsaved connector

> Lists available schemas in a specific database using an unsaved connector configuration. Useful during connector setup to discover existing schemas.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/schemas
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.46
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/schemas:
    post:
      tags:
        - Connectors
      summary: Fetch schemas for an unsaved connector
      description: >-
        Lists available schemas in a specific database using an unsaved
        connector configuration. Useful during connector setup to discover
        existing schemas.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterConnectorFetchSchemasRequest'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterConnectorFetchSchemasRequest:
      properties:
        connector:
          $ref: '#/components/schemas/PayloadsConnectorPayload'
        databaseName:
          type: string
      required:
        - connector
        - databaseName
      type: object
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          type:
            - 'null'
            - string
        environmentUUID:
          format: uuid
          type:
            - 'null'
            - string
        label:
          type: string
        privateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sharedConfig:
          additionalProperties: {}
          type:
            - object
            - 'null'
        snapshotPrivateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sshTunnelUUID:
          format: uuid
          type:
            - 'null'
            - string
        type:
          type: string
        uuid:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````